# Class TCefCustomResolveCallback

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFResolveCallback

## Declaration

`type TCefCustomResolveCallback = class(TCefResolveCallbackOwn)`

## Description

This item has no description.

## Hierarchy

- TInterfacedObject
- TCefBaseRefCountedOwn
- TCefResolveCallbackOwn
- TCefCustomResolveCallback

## Overview

### Fields

| `FEvents: Pointer;`

### Methods

| `procedure OnResolveCompleted(result: TCefErrorCode; const resolvedIps: TStrings); override;`
| `constructor Create(const aEvents : IChromiumEvents); reintroduce;`
| `destructor Destroy; override;`

## Description

### Fields

| `FEvents: Pointer;`
This item has no description.

### Methods

| `procedure OnResolveCompleted(result: TCefErrorCode; const resolvedIps: TStrings); override;`
This item has no description. Showing description inherited from ICefResolveCallback.OnResolveCompleted. Called on the UI thread after the ResolveHost request has completed. |result| will be the result code. |resolved_ips| will be the list of resolved IP addresses or NULL if the resolution failed.

| `constructor Create(const aEvents : IChromiumEvents); reintroduce;`
This item has no description.

| `destructor Destroy; override;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.